# Cross-walking to join 31 Koeppen-Geiger climate zones into 7
cwt_kg31to7 = [
    ["KG31/KG7", "tropical", "arid_warm", "arid_cool", "temp_warm", "temp_cool", "boreal_warm", "boreal_cool"],
    ["Af",       1,          0,           0,           0,           0,           0,             0],
    ["Am",       1,          0,           0,           0,           0,           0,             0],
    ["As",       1,          0,           0,           0,           0,           0,             0],
    ["Aw",       1,          0,           0,           0,           0,           0,             0],
    ["BSh",      0,          1,           0,           0,           0,           0,             0],
    ["BSk",      0,          0,           1,           0,           0,           0,             0],
    ["BWh",      0,          1,           0,           0,           0,           0,             0],
    ["BWk",      0,          0,           1,           0,           0,           0,             0],
    ["Cfa",      0,          0,           0,           1,           0,           0,             0],
    ["Cfb",      0,          0,           0,           0,           1,           0,             0],
    ["Cfc",      0,          0,           0,           0,           1,           0,             0],
    ["Csa",      0,          0,           0,           1,           0,           0,             0],
    ["Csb",      0,          0,           0,           0,           1,           0,             0],
    ["Csc",      0,          0,           0,           0,           1,           0,             0],
    ["Cwa",      0,          0,           0,           1,           0,           0,             0],
    ["Cwb",      0,          0,           0,           0,           1,           0,             0],
    ["Cwc",      0,          0,           0,           0,           1,           0,             0],
    ["Dfa",      0,          0,           0,           0,           1,           0,             0],
    ["Dfb",      0,          0,           0,           0,           0,           1,             0],
    ["Dfc",      0,          0,           0,           0,           0,           0,             1],
    ["Dfd",      0,          0,           0,           0,           0,           0,             1],
    ["Dsa",      0,          0,           0,           0,           0,           1,             0],
    ["Dsb",      0,          0,           0,           0,           0,           1,             0],
    ["Dsc",      0,          0,           0,           0,           0,           0,             1],
    ["Dsd",      0,          0,           0,           0,           0,           0,             1],
    ["Dwa",      0,          0,           0,           0,           0,           1,             0],
    ["Dwb",      0,          0,           0,           0,           0,           1,             0],
    ["Dwc",      0,          0,           0,           0,           0,           0,             1],
    ["Dwd",      0,          0,           0,           0,           0,           0,             1],
    ["EF",       0,          0,           0,           0,           0,           0,             1],
    ["ET",       0,          0,           0,           0,           0,           0,             1],
]

# Cross-walking to join 31 Koeppen-Geiger climate zones into 3
cwt_kg31to3 = [
    ["KG31/KG3", "tropical", "temperate", "boreal"],
    ["Af",       1,          0,           0],
    ["Am",       1,          0,           0],
    ["As",       1,          0,           0],
    ["Aw",       1,          0,           0],
    ["BSh",      1,          0,           0],
    ["BSk",      0,          1,           0],
    ["BWh",      1,          0,           0],
    ["BWk",      0,          1,           0],
    ["Cfa",      0,          1,           0],
    ["Cfb",      0,          1,           0],
    ["Cfc",      0,          1,           0],
    ["Csa",      0,          1,           0],
    ["Csb",      0,          1,           0],
    ["Csc",      0,          1,           0],
    ["Cwa",      0,          1,           0],
    ["Cwb",      0,          1,           0],
    ["Cwc",      0,          1,           0],
    ["Dfa",      0,          1,           0],
    ["Dfb",      0,          0,           1],
    ["Dfc",      0,          0,           1],
    ["Dfd",      0,          0,           1],
    ["Dsa",      0,          0,           1],
    ["Dsb",      0,          0,           1],
    ["Dsc",      0,          0,           1],
    ["Dsd",      0,          0,           1],
    ["Dwa",      0,          0,           1],
    ["Dwb",      0,          0,           1],
    ["Dwc",      0,          0,           1],
    ["Dwd",      0,          0,           1],
    ["EF",       0,          0,           1],
    ["ET",       0,          0,           1],
]

# Cross-walking to transform HRLC classes to generic PFTs for Amazon/Africa
cwt_hrlc2gen_tropics = [
    ["HRLC/GEN",   "TrBrEv", "TrBrDe", "TrNeEv", "TrNeDe", "ShBrEv", "ShBrDe", "ShNeEv", "ShNeDe", "NatGr", "Crops", "BS",  "Water", "SnowIce", "Urban", "No Data"],
    ["NoData",      0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       1],
    ["TrEvBr",      1,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrEvNe",      0,        0,        1,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrDeBr",      0,        1,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrDeNe",      0,        0,        0,        1,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["ShEv",        1,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["ShDe",        0,        1,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["Grass",       0,        0,        0,        0,        0,        0,        0,        0,        1,       0,       0,     0,       0,        0,       0],
    ["Crop",        0,        0,        0,        0,        0,        0,        0,        0,        0,       1,       0,     0,       0,        0,       0],
    ["Wood/flood",  0.8,      0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0.2,     0,        0,       0],
    ["Grass/flood", 0,        0,        0,        0,        0,        0,        0,        0,        0.8,     0,       0,     0.2,     0,        0,       0],
    ["LichMoss",    0,        0,        0,        0,        0,        0,        0,        0,        0.85,    0,       0.15,  0,       0,        0,       0],
    ["Bare",        0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       1,     0,       0,        0,       0],
    ["BuiltUp",     0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        1,       0],
    ["WaterSeason", 0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     1,       0,        0,       0],
    ["WaterPerm",   0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     1,       0,        0,       0],
    ["SnowIce",     0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       1,        0,       0],
]

# Cross-walking to transform HRLC classes to generic PFTs for Siberia
cwt_hrlc2gen_siberia = [
    ["HRLC/GEN",   "TrBrEv", "TrBrDe", "TrNeEv", "TrNeDe", "ShBrEv", "ShBrDe", "ShNeEv", "ShNeDe", "NatGr", "Crops", "BS",  "Water", "SnowIce", "Urban", "No Data"],
    ["NoData",      0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       1],
    ["TrEvBr",      1,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrEvNe",      0,        0,        1,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrDeBr",      0,        1,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["TrDeNe",      0,        0,        0,        1,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["ShEv",        0,        0,        1,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["ShDe",        0,        0.25,     0,        0.75,     0,        0,        0,        0,        0,       0,       0,     0,       0,        0,       0],
    ["Grass",       0,        0,        0,        0,        0,        0,        0,        0,        1,       0,       0,     0,       0,        0,       0],
    ["Crop",        0,        0,        0,        0,        0,        0,        0,        0,        0,       1,       0,     0,       0,        0,       0],
    ["Wood/flood",  0,        0,        0.8,      0,        0,        0,        0,        0,        0,       0,       0,     0.2,     0,        0,       0],
    ["Grass/flood", 0,        0,        0,        0,        0,        0,        0,        0,        0.8,     0,       0,     0.2,     0,        0,       0],
    ["LichMoss",    0,        0,        0,        0,        0,        0,        0,        0,        0.85,    0,       0.15,  0,       0,        0,       0],
    ["Bare",        0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       1,     0,       0,        0,       0],
    ["BuiltUp",     0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       0,        1,       0],
    ["WaterSeason", 0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     1,       0,        0,       0],
    ["WaterPerm",   0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     1,       0,        0,       0],
    ["SnowIce",     0,        0,        0,        0,        0,        0,        0,        0,        0,       0,       0,     0,       1,        0,       0],
]

# Cross-walking table to transform generic PFTs to ORCHIDEE PFTs
# Change from 20/03/2022 : Tr(Sh)NeEv for tropical and arid_warm from PFT2 to PFT4
cwt_gen2orc = [
    ["GENERIC", "KG/Still/LUH",  "PFT1", "PFT2", "PFT3", "PFT4", "PFT5", "PFT6", "PFT7", "PFT8", "PFT9", "PFT10", "PFT11", "PFT12", "PFT13", "PFT14", "PFT15"],
    ["TrBrEv",  "tropical",       0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "arid_warm",      0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "arid_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "temp_warm",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "temp_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "boreal_warm",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "temp_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "boreal_warm",    0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      1,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "tropical",       0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "arid_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "arid_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "temp_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "temp_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "boreal_warm",    0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "temp_cool",      0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "boreal_warm",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "tropical",       0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "arid_warm",      0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "arid_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "temp_warm",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "temp_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "boreal_warm",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "temp_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "boreal_warm",    0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      1,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "tropical",       0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "arid_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "arid_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "temp_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "temp_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "boreal_warm",    0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "temp_cool",      0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "boreal_warm",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0],
    ["NatGr",   "tropical/C3",    0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       1,       0],
    ["NatGr",   "arid_warm/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       1,       0],
    ["NatGr",   "arid_cool/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0],
    ["NatGr",   "temp_warm/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0],
    ["NatGr",   "temp_cool/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0],
    ["NatGr",   "boreal_warm/C3", 0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       1],
    ["NatGr",   "boreal_cool/C3", 0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       1],
    ["NatGr",   "C4",             0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       1,       0,       0,       0,       0],
    ["Crops",   "luhC3",          0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       1,       0,       0,       0],
    ["Crops",   "luhC4",          0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       1,       0,       0],
    ["BS",      "",               1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["Water",   "inland",         1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["SnowIce", "",               1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0],
    ["Urban",   "tropical/C3",    0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0.2,     0],
    ["Urban",   "arid_warm/C3",   0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0.2,     0],
    ["Urban",   "arid_cool/C3",   0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0.2,     0,       0,       0,       0,       0],
    ["Urban",   "temp_warm/C3",   0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0.2,     0,       0,       0,       0,       0],
    ["Urban",   "temp_cool/C3",   0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0.2,     0,       0,       0,       0,       0],
    ["Urban",   "boreal_warm/C3", 0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0.2],
    ["Urban",   "boreal_cool/C3", 0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0.2],
    ["Urban",   "C4",             0.8,    0,      0,      0,      0,      0,      0,      0,      0,      0,       0.2,     0,       0,       0,       0],
]

# Cross-walking table to transform generic PFTs to ORCHIDEE PFTs with additional urban type (PFT16)
cwt_gen2orc16 = [
    ["GENERIC", "KG/Still/LUH",  "PFT1", "PFT2", "PFT3", "PFT4", "PFT5", "PFT6", "PFT7", "PFT8", "PFT9", "PFT10", "PFT11", "PFT12", "PFT13", "PFT14", "PFT15", "PFT16"],
    ["TrBrEv",  "tropical",       0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "arid_warm",      0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "arid_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "temp_warm",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "temp_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "boreal_warm",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "temp_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "boreal_warm",    0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrBrDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      1,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "tropical",       0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "arid_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "arid_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "temp_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "temp_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "boreal_warm",    0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "temp_cool",      0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "boreal_warm",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["TrNeDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "tropical",       0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "arid_warm",      0,      1,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "arid_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "temp_warm",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "temp_cool",      0,      0,      0,      0,      1,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "boreal_warm",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "temp_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "boreal_warm",    0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShBrDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      1,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "tropical",       0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "arid_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "arid_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "temp_warm",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "temp_cool",      0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "boreal_warm",    0,      0,      0,      1,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeEv",  "boreal_cool",    0,      0,      0,      0,      0,      0,      1,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "tropical",       0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "arid_warm",      0,      0,      1,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "arid_cool",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "temp_warm",      0,      0,      0,      0,      0,      1,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "temp_cool",      0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "boreal_warm",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["ShNeDe",  "boreal_cool",    0,      0,      0,      0,      0,      0,      0,      0,      1,      0,       0,       0,       0,       0,       0,       0],
    ["NatGr",   "tropical/C3",    0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       1,       0,       0],
    ["NatGr",   "arid_warm/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       1,       0,       0],
    ["NatGr",   "arid_cool/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0,       0],
    ["NatGr",   "temp_warm/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0,       0],
    ["NatGr",   "temp_cool/C3",   0,      0,      0,      0,      0,      0,      0,      0,      0,      1,       0,       0,       0,       0,       0,       0],
    ["NatGr",   "boreal_warm/C3", 0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       1,       0],
    ["NatGr",   "boreal_cool/C3", 0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       1,       0],
    ["NatGr",   "C4",             0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       1,       0,       0,       0,       0,       0],
    ["Crops",   "luhC3",          0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       1,       0,       0,       0,       0],
    ["Crops",   "luhC4",          0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       1,       0,       0,       0],
    ["BS",      "",               1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["Water",   "inland",         1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["SnowIce", "",               1,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       0],
    ["Urban",   "",               0,      0,      0,      0,      0,      0,      0,      0,      0,      0,       0,       0,       0,       0,       0,       1],
]

